> ## Documentation Index
> Fetch the complete documentation index at: https://edgeful.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Optimizer Records

> List compact record references, newest first. Read candidates for warnings and validation before comparing.



## OpenAPI

````yaml /openapi-public.json get /v1/optimizer/records
openapi: 3.1.0
info:
  title: Edgeful API
  description: >-
    Public API reference for Edgeful market analysis. The bearer token is your
    Edgeful API key. Reports support the docs playground. Report responses
    include row-level output in `detailed` only when your plan includes
    row-level detail.
  version: 1.0.0
servers:
  - url: https://api.edgeful.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: reports
  - name: discovery
  - name: live data
  - name: settings
  - name: custom reports
  - name: optimizer
paths:
  /v1/optimizer/records:
    get:
      tags:
        - optimizer
      summary: List Optimizer Records
      description: >-
        List compact record references, newest first. Read candidates for
        warnings and validation before comparing.
      operationId: list_optimizer_records_v1_optimizer_records_get
      parameters:
        - name: source
          in: query
          required: false
          schema:
            enum:
              - run
              - saved
              - favorite
              - template
            type: string
            description: Your history/library, or published templates.
            default: run
            title: Source
          description: Your history/library, or published templates.
        - name: ticker
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 16
              - type: 'null'
            description: Filter by futures ticker, such as ES.
            title: Ticker
          description: Filter by futures ticker, such as ES.
        - name: algo
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 32
              - type: 'null'
            description: Filter by optimizer strategy.
            title: Algo
          description: Filter by optimizer strategy.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 20
            minimum: 1
            description: Maximum records to return; byte limits can shorten the page.
            default: 5
            title: Limit
          description: Maximum records to return; byte limits can shorten the page.
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            maximum: 100000
            minimum: 0
            description: Continuation offset returned by the previous page.
            default: 0
            title: Offset
          description: Continuation offset returned by the previous page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OptimizerRecords'
        '401':
          description: Missing, invalid or revoked API key.
        '403':
          description: >-
            Requires active All Access and, for mutations, credential write
            permission.
        '404':
          description: Record or job is missing or belongs to another member.
        '409':
          description: >-
            Active job: Retry-After is present; retry the same request_id later.
            Accepted request_id with different settings: no Retry-After; use a
            new ID.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
                minimum: 1
        '413':
          description: Request body exceeds 16 KiB or snapshot exceeds 8 KiB.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Shared member optimizer budget exhausted. Follow Retry-After.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
                minimum: 1
        '503':
          description: >-
            Capacity or admission controls unavailable. Follow Retry-After;
            reuse request_id.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
                minimum: 1
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.edgeful.com/v1/optimizer/records' \
              --header 'Authorization: Bearer <api-key>'
        - lang: python
          label: Python
          source: |-
            import requests

            url = "https://api.edgeful.com/v1/optimizer/records"
            headers = {"Authorization": "Bearer <api-key>"}

            response = requests.get(url, headers=headers)
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: |-
            const url = "https://api.edgeful.com/v1/optimizer/records";
            const options = {
              method: "GET",
              headers: { Authorization: "Bearer <api-key>" },
            };

            const response = await fetch(url, options);
            const data = await response.json();
            console.log(data);
        - lang: php
          label: PHP
          source: >-
            <?php

            $ch = curl_init("https://api.edgeful.com/v1/optimizer/records");

            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");

            curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer
            <api-key>"]);

            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($ch);

            curl_close($ch);

            echo $response;
        - lang: go
          label: Go
          source: |-
            package main

            import (
                "fmt"
                "io"
                "net/http"
            )

            func main() {
                req, _ := http.NewRequest("GET", "https://api.edgeful.com/v1/optimizer/records", nil)
                req.Header.Set("Authorization", "Bearer <api-key>")
                resp, _ := http.DefaultClient.Do(req)
                defer resp.Body.Close()
                body, _ := io.ReadAll(resp.Body)
                fmt.Println(string(body))
            }
        - lang: java
          label: Java
          source: >-
            import java.net.URI;

            import java.net.http.HttpClient;

            import java.net.http.HttpRequest;

            import java.net.http.HttpResponse;


            HttpClient client = HttpClient.newHttpClient();

            HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create("https://api.edgeful.com/v1/optimizer/records"))
                .header("Authorization", "Bearer <api-key>")
                .method("GET", HttpRequest.BodyPublishers.noBody())
                .build();
            HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

            System.out.println(response.body());
        - lang: ruby
          label: Ruby
          source: >-
            require "net/http"

            require "uri"


            uri = URI("https://api.edgeful.com/v1/optimizer/records")

            request = Net::HTTP::Get.new(uri)

            request["Authorization"] = "Bearer <api-key>"


            response = Net::HTTP.start(uri.hostname, uri.port, use_ssl:
            uri.scheme == "https") do |http|
              http.request(request)
            end

            puts response.body
components:
  schemas:
    OptimizerRecords:
      properties:
        source:
          type: string
          enum:
            - run
            - saved
            - favorite
            - template
          title: Source
        items:
          items:
            additionalProperties:
              $ref: '#/components/schemas/JsonValue'
            type: object
          type: array
          title: Items
        page:
          $ref: '#/components/schemas/OptimizerPage'
        ordering:
          type: string
          title: Ordering
        guidance:
          type: string
          title: Guidance
      type: object
      required:
        - source
        - items
        - page
        - ordering
        - guidance
      title: OptimizerRecords
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JsonValue: {}
    OptimizerPage:
      properties:
        offset:
          type: integer
          title: Offset
        total:
          type: integer
          title: Total
        returned:
          type: integer
          title: Returned
        has_more:
          type: boolean
          title: Has More
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        byte_limited:
          type: boolean
          title: Byte Limited
      type: object
      required:
        - offset
        - total
        - returned
        - has_more
        - next_offset
        - byte_limited
      title: OptimizerPage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Send your Edgeful API key in the Authorization header as `Bearer
        <api-key>` (for example, `Bearer ef_live_<random>`).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.